| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
arGetMarkerInfo.c File Reference
`#include <ARX/AR/ar.h>`
Include dependency graph for arGetMarkerInfo.c:

## Functions
int | arGetMarkerInfo (ARUint8 *image, int xsize, int ysize, int pixelFormat, ARMarkerInfo2 *markerInfo2, int marker2_num, ARPattHandle *pattHandle, int imageProcMode, int pattDetectMode, ARParamLTf *arParamLTf, ARdouble pattRatio, ARMarkerInfo *markerInfo, int *marker_num, const AR_MATRIX_CODE_TYPE matrixCodeType)
| Examine a set of detected squares for match with known markers.

## Function Documentation

## ◆ arGetMarkerInfo()

int arGetMarkerInfo | ( | ARUint8 * | image,
|  | int | xsize,
|  | int | ysize,
|  | int | pixelFormat,
|  | ARMarkerInfo2 * | markerInfo2,
|  | int | marker2_num,
|  | ARPattHandle * | pattHandle,
|  | int | imageProcMode,
|  | int | pattDetectMode,
|  | ARParamLTf * | arParamLTf,
|  | ARdouble | pattRatio,
|  | ARMarkerInfo * | markerInfo,
|  | int * | marker_num,
|  | const AR_MATRIX_CODE_TYPE | matrixCodeType
| ) |  |

Examine a set of detected squares for match with known markers.

Performs the intermediate marker-detection stage of taking detected squares in a processed image, and matching the interior of these squares against known marker templates, or extracting matrix codes from the interior of the square.

Parameters

  image | Image in which squares were detected.
  xsize | Horizontal dimension of image, in pixels.
  ysize | Vertical dimension of image, in pixels.
  pixelFormat | Format of pixels in image. See <AR/config.h> for values.
  markerInfo2 | Pointer to an array of ARMarkerInfo2 structures holding information on detected squares which are candidates for marker matching.
  marker2_num | Size of markerInfo2 array.
  pattHandle | Handle to loaded patterns for template matching against detected squares.
  imageProcMode | Indicates whether square detection was performed treating the image as a frame or a field.
  pattDetectMode | Whether to perform color/mono template matching, matrix code detection, or both.
  arParamLTf | Lookup table for the camera parameters for the optical source from which the image was acquired. See arParamLTCreate.
  pattRatio | A value between 0.0 and 1.0, representing the proportion of the marker width which constitutes the pattern. In earlier versions, this value was fixed at 0.5.
  markerInfo | Output: Pointer to an array of ARMarkerInfo structures holding information on successful matches.
  marker_num | Output: Size of markerInfo array.
  matrixCodeType | When matrix code pattern detection mode is active, indicates the type of matrix code to detect.

Returns
  0 in case of no error, or -1 otherwise.

See also
  arParamLTCreate

Here is the call graph for this function: